[llvm-commits] [compiler-rt] r156764 - /compiler-rt/trunk/lib/tsan/output_tests/test_output.sh

Dmitry Vyukov dvyukov at google.com
Mon May 14 08:25:35 PDT 2012


Author: dvyukov
Date: Mon May 14 10:25:35 2012
New Revision: 156764

URL: http://llvm.org/viewvc/llvm-project?rev=156764&view=rev
Log:
tsan: fix output_tests script to actually verify tests results


Modified:
    compiler-rt/trunk/lib/tsan/output_tests/test_output.sh

Modified: compiler-rt/trunk/lib/tsan/output_tests/test_output.sh
URL: http://llvm.org/viewvc/llvm-project/compiler-rt/trunk/lib/tsan/output_tests/test_output.sh?rev=156764&r1=156763&r2=156764&view=diff
==============================================================================
--- compiler-rt/trunk/lib/tsan/output_tests/test_output.sh (original)
+++ compiler-rt/trunk/lib/tsan/output_tests/test_output.sh Mon May 14 10:25:35 2012
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-ulimit -s 8192;
+ulimit -s 8192
 set -e # fail on any error
 
 ROOTDIR=$(dirname $0)/..
@@ -10,11 +10,8 @@
 CXX=clang++
 
 # TODO: add testing for all of -O0...-O3
-CFLAGS="-fthread-sanitizer -fPIE -O1 -g -fno-builtin -Wall -Werror=return-type"
+CFLAGS="-fthread-sanitizer -fPIE -O1 -g -fno-builtin -Wall"
 LDFLAGS="-pie -lpthread -ldl $ROOTDIR/rtl/libtsan.a"
-if [ "$LLDB" != "" ]; then
-  LDFLAGS+=" -L$LLDB -llldb"
-fi
 
 test_file() {
   SRC=$1
@@ -23,9 +20,8 @@
   OBJ=$SRC.o
   EXE=$SRC.exe
   $COMPILER $SRC $CFLAGS -c -o $OBJ
-  # Link with CXX, because lldb and suppressions require C++.
-  $CXX $OBJ $LDFLAGS -o $EXE
-  RES=$(LD_LIBRARY_PATH=$LLDB TSAN_OPTIONS="atexit_sleep_ms=0" $EXE 2>&1 || true)
+  $COMPILER $OBJ $LDFLAGS -o $EXE
+  RES=$(TSAN_OPTIONS="atexit_sleep_ms=0" $EXE 2>&1 || true)
   if [ "$3" != "" ]; then
     printf "%s\n" "$RES"
   fi
@@ -45,7 +41,7 @@
     case $c in
       *.c) COMPILER=$CC
     esac
-    test_file $c $COMPILER &
+    test_file $c $COMPILER
   done
   wait
 else





More information about the llvm-commits mailing list